Bug 1007643 - [abrt] gnumeric-1.12.5-1.fc19: scg_find_pane: Process /usr/bin/gnumeric-1.12.5 was killed by signal 11 (SIGSEGV)
[abrt] gnumeric-1.12.5-1.fc19: scg_find_pane: Process /usr/bin/gnumeric-1.12....
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:ec061a264029971f2ab7d8f0962...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 23:15 EDT by Frank Ch. Eigler
Modified: 2013-09-24 19:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: goffice-0.10.7-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 18:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.94 KB, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: core_backtrace (6.81 KB, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: dso_list (8.31 KB, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: environ (3.58 KB, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: maps (44.41 KB, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: open_fds (784 bytes, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details
File: proc_pid_status (963 bytes, text/plain)
2013-09-12 23:15 EDT, Frank Ch. Eigler
no flags Details

  None (edit)
Description Frank Ch. Eigler 2013-09-12 23:15:10 EDT
Description of problem:
opening up an older .gnumeric file (old = f18 era)

Version-Release number of selected component:
gnumeric-1.12.5-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        gnumeric fche-pilot-log.gnumeric
crash_function: scg_find_pane
executable:     /usr/bin/gnumeric-1.12.5
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 3
uid:            500
var_log_messages: Sep 12 23:06:34 very abrt[28895]: Saved core dump of pid 28892 (/usr/bin/gnumeric-1.12.5) to /var/tmp/abrt/ccpp-2013-09-12-23:06:32-28892 (34385920 bytes)

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 scg_find_pane at sheet-control-gui.c:3705
 #1 scg_show_im_tooltip at sheet-control-gui.c:3724
 #2 sheet_view_edit_pos_tool_tips at sheet-view.c:655
 #3 sv_update at sheet-view.c:684
 #4 sheet_update at sheet.c:1985
Comment 1 Frank Ch. Eigler 2013-09-12 23:15:13 EDT
Created attachment 797103 [details]
File: backtrace
Comment 2 Frank Ch. Eigler 2013-09-12 23:15:16 EDT
Created attachment 797104 [details]
File: cgroup
Comment 3 Frank Ch. Eigler 2013-09-12 23:15:19 EDT
Created attachment 797105 [details]
File: core_backtrace
Comment 4 Frank Ch. Eigler 2013-09-12 23:15:22 EDT
Created attachment 797106 [details]
File: dso_list
Comment 5 Frank Ch. Eigler 2013-09-12 23:15:25 EDT
Created attachment 797107 [details]
File: environ
Comment 6 Frank Ch. Eigler 2013-09-12 23:15:28 EDT
Created attachment 797108 [details]
File: exploitable
Comment 7 Frank Ch. Eigler 2013-09-12 23:15:30 EDT
Created attachment 797109 [details]
File: limits
Comment 8 Frank Ch. Eigler 2013-09-12 23:15:33 EDT
Created attachment 797110 [details]
File: maps
Comment 9 Frank Ch. Eigler 2013-09-12 23:15:36 EDT
Created attachment 797111 [details]
File: open_fds
Comment 10 Frank Ch. Eigler 2013-09-12 23:15:39 EDT
Created attachment 797112 [details]
File: proc_pid_status
Comment 11 Andreas J Guelzow 2013-09-13 00:26:23 EDT
This is fixed in 1.12.7 and relates to split panes in the saved files.
Comment 12 Fedora Update System 2013-09-14 05:13:24 EDT
goffice-0.10.7-1.fc18,gnumeric-1.12.7-1.fc18,gnome-chemistry-utils-0.14.2-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/goffice-0.10.7-1.fc18,gnumeric-1.12.7-1.fc18,gnome-chemistry-utils-0.14.2-6.fc18
Comment 13 Fedora Update System 2013-09-14 05:13:56 EDT
goffice-0.10.7-1.fc19,gnumeric-1.12.7-1.fc19,gnome-chemistry-utils-0.14.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/goffice-0.10.7-1.fc19,gnumeric-1.12.7-1.fc19,gnome-chemistry-utils-0.14.2-7.fc19
Comment 14 Fedora Update System 2013-09-14 05:24:23 EDT
goffice-0.10.7-1.fc20,gnumeric-1.12.7-1.fc20,gnome-chemistry-utils-0.14.2-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/goffice-0.10.7-1.fc20,gnumeric-1.12.7-1.fc20,gnome-chemistry-utils-0.14.2-8.fc20
Comment 15 Fedora Update System 2013-09-15 13:36:04 EDT
Package goffice-0.10.7-1.fc20, gnumeric-1.12.7-1.fc20, gnome-chemistry-utils-0.14.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing goffice-0.10.7-1.fc20 gnumeric-1.12.7-1.fc20 gnome-chemistry-utils-0.14.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16730/goffice-0.10.7-1.fc20,gnumeric-1.12.7-1.fc20,gnome-chemistry-utils-0.14.3-1.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-09-24 18:50:42 EDT
goffice-0.10.7-1.fc20, gnumeric-1.12.7-1.fc20, gnome-chemistry-utils-0.14.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-09-24 18:55:25 EDT
goffice-0.10.7-1.fc18, gnumeric-1.12.7-1.fc18, gnome-chemistry-utils-0.14.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-09-24 19:07:30 EDT
goffice-0.10.7-1.fc19, gnumeric-1.12.7-1.fc19, gnome-chemistry-utils-0.14.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.